/*
File Name: style.css
Date: 05/26/20
Programmer: Fredy Chavez
*/

/* MOBILE STYLES. This styles are ideal for end users on 480px or less*/

body {
    font-family: "Balsamiq Sans", Montserrat, sans-serif;
    font-size: 16px; 
    line-height: 1.5em;
    background-color: #FFFFFF;
}

h2, h3, p {
    margin: 1em 0;
}
/*Replace the hero header image with your own.*/
header {
    background-image: url(../images/froyo_header3.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    width: 100%;
    display: inline-block;
    text-align: center;
}

main {
    padding: 1em;
}

h1 {
    font-weight: bold;
    font-size: 3em;
    text-shadow: 2px 2px #EB88E8;
    color: #FFFFFF;
    display: inline;
    line-height: 60px;
    padding-top: 10px;
}

#logo {
    float: left;
    width: 130px;
    height: 130px;
    display: inline-block; 
    padding: 10px;
}

h2 {
    font-weight: bold;
    font-size: 2em;
    line-height: normal;
    color: #945EFF;
    text-align: center;
    margin-top: 1.5em;
}

h3 {
    font-size: 1.4em;
    text-decoration: underline;
    color: #FF4333;
    margin-bottom: -0.8em;
}

h4 {
    font-size: 1.1em;
    font-style: italic;
    color: #EB88E8;
    margin-top: 1.5em;
}

nav {
    font-weight: bold;
    font-size: 1.2em;
    clear: left;
    
}

nav ul {
    list-style-type: none;
    padding: 0;
    position: relative;
}

nav li a {
    text-decoration: none; 
    text-align: center; 
    display: block;
    background-color: #EB88E8;
    border: 2px outset #FFFFFF;
    padding: 0.5em;
    margin: 0;   
}

nav a:link {
    color: #FFFFFF;
}

nav a:visited {
    color: #945EFF; 
}

nav a:hover {
    color: #945EFF; 
    background-color: #BACBEE;
}

#contact {
    text-align: center;
    clear: both;
    padding-top: 1em;
}

#contact p {
    font-size: 1.2em;
}

#mobile {
    font-size: 1.2em;
    color: #FF4333;
    text-decoration: none;
}

.grid li{
    list-style-type: circle;
    list-style-position: inside;
}

figure {
    position: absolute; 
    left: 450px; 
    opacity: .25; 
    display: none;
}

#gallery {
    position: relative;
}

#gallery ul {
    width: 340px;
    list-style: none; 
}
    
#gallery li {
    display: inline;
    float: left;
}

#gallery img {
    border: none; 
    
}

#gallery a {
    text-decoration: none; 
    color: #eaeaea; 
    font-style: italic; 
    margin-left: 1em;
}

#gallery span {
    position: absolute;
    left: -1000px; 
    opacity: 0; 
    transition: opacity 3s ease-in-out; 
}

#gallery a:hover span {
    position: absolute;
    top: 0.5px; 
    left: 450px; 
    text-align: center;
    opacity: 1; 
}

input, textarea {
        display: block;
        margin-bottom: 1em;
}

#myChoice {
    display: block;
    margin-bottom: 1em;
}

#signUp {
    margin-left: 5em;
    
}

footer {
    background-color: #945EFF;
    color: #FFFFFF;
    text-align: center;
}
/*display:in-line block allows for the the social media icons to align next to eachother. If you wish to modify this, simply change the display property*/
.media li {
    display: inline-block;
    font-size: 2.5em;
    letter-spacing: 15px;
}

#designer {
    font-style: italic;
    font-weight: normal;
    font-size: 1em;
    line-height: 1.1em;
    text-align: center;
}

#designer a:link {
    color: #FFFFFF;
}

#designer a:hover {
    color: #000000;
}

#designer a:visited {
    color: #BACBEE;
}

#titleColor1 {
    color: #EB88E8;
}

#titleColor2 {
    color: #945EFF;
}

/*TABLET STYLES. The page will update whenever a browser is any more than 480px. These styles cater to the tablet end users.*/

@media only screen and (min-width: 481px) {
    body {
        background-image: url(../images/froyo_background.jpeg);
        background-repeat: repeat;
    }

    #container {      
        min-width: 700px;
        max-width: 1024px; 
        background-color:#FFFFFF;
        color: #000000;
        margin-right: auto;
        margin-left: auto;
        box-shadow: 5px 5px 5px #000000; 
    }
    
    nav {
        text-align: center;
        background-color: #EB88E8;
    }
    
    nav li {
        display: inline-block;
    }
    
    nav li a {
        border: none;
    }
    
/*Modify this to change the google map parameters*/ 
    iframe {
        width: 60%;
        height: 300px;
    }
    
    h1 {
    line-height: 3em;
    margin-left: -3em;
    } 
    
    figure {
            position: absolute; 
            left: 375px; 
            opacity: .25;
            display: inline;
    }
    
    #gallery span {
            position: absolute;
            left: -1000px; 
            opacity: 0; 
            transition: opacity 3s ease-in-out; 
    }
    
    #gallery a:hover span {
            position: absolute;
            top: 0.5px; 
            left: 450px; 
            text-align: center;
            opacity: 1; 
    }
    
    #gallery {
            position: relative;
    }
    
    #gallery ul {
            width: 350px; 
            list-style: none;
    }
    
    #gallery li {
            display: inline;
            float: left;
    }
    
    #gallery img {
            border: none; 
            padding: 5px;
    }
    
    #gallery a {
            text-decoration: none; 
            color: #eaeaea; 
            font-style: italic; 
    }
    
    #gallery span {
            position: absolute;
            left: -1000px; 
            opacity: 0; 
            transition: opacity 3s ease-in-out; 
    }
    
    #gallery a:hover span {
            position: absolute;
            top: 0.5px; 
            left: 375px; 
            text-align: center;
            opacity: 1; 
    }

    
/* CSS GRID TABLET. This is a responsive grid design. It spans 12 columns and 2 rows. You can configure this grid to be smaller than 12 columns and less than 2 rows. */
    .grid {
        display: grid;
        justify-content: center;
        grid-column-gap: 3.5em;
        
    }
    
    .item1 {
        grid-column: 1 / span 6;
        grid-row: 1;
    }
    
    .item2 {
        grid-column: 7 / span 6;
        grid-row: 1;
    }


/*DESKTOP STYLES. The page will change according for users that are on a device with at least 1025px. These are the ideal styles for desktop users.*/

@media only screen and (min-width: 1025px) {
   
/*Modify this to change the google map parameters*/ 
    iframe {
        width: 100%;
        height: 300px
    }
    
    figure {
            position: absolute; 
            left: 425px; 
            opacity: .25;
            display: inline;
    }
    
     #gallery a:hover span {
            position: absolute;
            top: 0.5px; 
            left: 425px; 
            text-align: center;
            opacity: 1; 
    }  
}



